Package com.pixelmed.apps

## Class InsertCodeSequence

- java.lang.Object
- - com.pixelmed.apps.InsertCodeSequence

-     public class InsertCodeSequence
      extends java.lang.Object

  A class containing an application for inserting code sequences from the command line.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `InsertCodeSequence.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `attributeName` |
    `protected java.lang.String` | `codeMeaning` |
    `protected java.lang.String` | `codeValue` |
    `protected java.lang.String` | `codingSchemeDesignator` |
    `protected java.lang.String` | `codingSchemeVersion` |
    `protected java.lang.String` | `dstFolderName` |
    `protected java.lang.String` | `ourAETitle` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InsertCodeSequence​(java.lang.String attributeName, java.lang.String codeValue, java.lang.String codingSchemeDesignator, java.lang.String codingSchemeVersion, java.lang.String codeMeaning, java.lang.String src, java.lang.String dstFolderName, MessageLogger logger)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Insert a coded sequence into the specified files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

    - #### dstFolderName

          protected java.lang.String dstFolderName

    - #### attributeName

          protected java.lang.String attributeName

    - #### codingSchemeDesignator

          protected java.lang.String codingSchemeDesignator

    - #### codeValue

          protected java.lang.String codeValue

    - #### codeMeaning

          protected java.lang.String codeMeaning

    - #### codingSchemeVersion

          protected java.lang.String codingSchemeVersion

  - ### Constructor Detail

    - #### InsertCodeSequence

          public InsertCodeSequence​(java.lang.String attributeName,
                                    java.lang.String codeValue,
                                    java.lang.String codingSchemeDesignator,
                                    java.lang.String codingSchemeVersion,
                                    java.lang.String codeMeaning,
                                    java.lang.String src,
                                    java.lang.String dstFolderName,
                                    MessageLogger logger)
                             throws java.io.IOException,
                                    DicomException

      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Insert a coded sequence into the specified files.

      Does not replace UIDs or set type to derived.

      Parameters:
        `arg` - array of 7 strings - attributeName, codeValue, codingSchemeDesignator, codingSchemeVersion (or empty string if none), codeMeaning, source folder or DICOMDIR, destination folder